# $Revision: 1.43 $, $Date: 2002/10/29 21:32:47 $
Summary:	Oregano - schematic capture and simulation of electrical circuits
Summary(pl):	Oregano - zdobywanie schematw i symulacja obwodw elektrycznych
Name:		oregano
Version:	0.23
Release:	5
License:	GPL
Group:		Applications/Engineering
Source0:	ftp://ftp.codefactory.se/pub/software/oregano/%{name}-%{version}.tar.gz
URL:		http://oregano.codefactory.se/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.0.0
BuildRequires:	gnome-print-devel >= 0.30
BuildRequires:	libglade-gnome-devel >= 0.8
BuildRequires:	libtool
BuildRequires:	libxml-devel >= 1.8.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Oregano is intended to be an application for schematic capture and
simulation of electrical circuits. The actual simulation is performed
by Berkeley Spice. Oregano can still be used without Spice, for
schematic capture.

%description -l pl
Oregano jest aplikacj do zdobywania schematw i symulacji obwodw
elektrycznych. Waciwa symulacja jest robiona przez Berkeley Spice.
Bez Spice nadal mona uywa Oregano - do schematw.

%prep
%setup -q

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Scientific \
	samplesdir=%{_examplesdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Scientific/oregano.desktop
%{_datadir}/mime-info/*
%{_pixmapsdir}/*
%{_datadir}/oregano
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: oregano.spec,v $
Revision 1.43  2002/10/29 21:32:47  ankry
- applnk: moved from Scientific/Misc to Scientific, rel. 5

Revision 1.42  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/08/06 14:06:11  qboosh
- BR: libglade-gnome-devel; new %%doc, release 4

Revision 1.40  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.39  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.38  2002/05/21 23:14:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.37  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2002/01/06 12:18:07  kloczek
- release 3.

Revision 1.33  2002/01/06 12:11:13  pawelk
BuildReg: gnome-print >=30

Revision 1.32  2002/01/02 06:35:42  kloczek
- release 2.

Revision 1.31  2001/12/23 01:12:20  blues
- moved desktop from Office to Scientific (this is aplication to use with
  spice)

Revision 1.30  2001/12/16 01:58:31  kloczek
- updated to 0.23 (bug fixes and more parts now are handled).

Revision 1.29  2001/12/08 01:42:03  kloczek
- added ac_fix patch,
- rdded egenerate lt files.

Revision 1.28  2001/12/06 14:06:43  qboosh
- pl translations; release 4

Revision 1.27  2001/04/24 00:02:23  kloczek
- relase 3: rebuild against gnome-print 0.28.

Revision 1.26  2001/03/03 13:53:14  kloczek
- release 2: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.25  2001/02/19 18:32:55  kloczek
- removed TODO from %doc.

Revision 1.24  2001/02/19 18:22:09  kloczek
- updated to 0.22,
- new URL and Source url.

Revision 1.23  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.22  2000/12/07 19:15:08  kloczek
- updated to 0.21.

Revision 1.21  2000/11/18 22:15:17  kloczek
- updated to 0.20.

Revision 1.20  2000/11/16 00:58:55  kloczek
- updated to 0.19,
- put samples files in %%{_examplesdir}/%%{name}.

Revision 1.19  2000/10/30 10:04:10  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.18  2000/10/15 23:24:53  kloczek
- release 2,
- use new rpm automation,
- rebuild against gnome-print 0.24.

Revision 1.17  2000/09/06 13:38:10  kloczek
- updated to 0.18.

Revision 1.16  2000/07/15 01:09:29  kloczek
- release 2.

Revision 1.15  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/06/07 09:01:06  kloczek
- updated to 0.17.

Revision 1.12  2000/06/01 11:44:58  michuz
- release 2
- %%applnkdir changed

Revision 1.11  2000/05/22 18:31:53  kloczek
- removed %%{_datadir}/gnome/help/oregano from %files - "%%find_lang %%{name}
  --with-gnome" adds this.

Revision 1.10  2000/05/21 19:23:41  kloczek
- updated to 0.16.1.

Revision 1.9  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.8  2000/05/09 08:12:46  kloczek
- updated to 0.15,
- removed applnk patch.

Revision 1.7  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.5  2000/03/27 02:47:43  kloczek
- release 2,
- rebuild against gnome-print >= 0.14.

Revision 1.4  2000/03/17 09:31:47  kloczek
- updated to 0.14.

Revision 1.3  2000/03/06 09:56:20  kloczek
- release 2,
- rebuild against gnome-print 0.12.

Revision 1.2  2000/02/23 06:01:13  kloczek
- completly rewrited in PLD style.
